<? include('checkcookie.php'); ?><?php error_reporting(E_ALL); ?>
<center><b>Автоматическая выплата через Х2 интерфейс</b></center>
<b>Всего</b>: <font color='red'><b><?php include('config.php');
                                $result=mysql_query ("SELECT COUNT(*) FROM `tb_payme`");
                                echo mysql_result($result,0);
                                $sqryvar="Select sum(money) from tb_payme";
                                $iqryvar=mysql_query($sqryvar);
                                $tot1=mysql_result($iqryvar,0,0);
                                $totalmoney=$tot1;
                                mysql_close($con);?>
                                                на сумму <?
                                        if ($totalmoney > 0)
                                        {
                                        echo $totalmoney;
                                        }
                                        else
                                        {
                                        echo 0;
                                        }
                                        ?>&nbsp;руб</b></font>
<table width='500px' aling='center'>
<thead style='background:#f5f5b5;'>
<tr>
<td align='center' style='color:red;font-size:16px;'>НЕ ОПЛАЧВАТЬ ТЕМ У КОГО СЧЕТ LIQPAY!!!!</td>
</tr>
</thead>
</table>

<?PHP
require("config.php");
//////// Удаление заявки
	if(isset($_POST["del"]))
	{
	
	$del_payme = mysql_query("DELETE FROM tb_payme WHERE id = '".$_POST["del"]."'");
	
		if($del_payme)
		{
		echo '<center><b>Заявка удалены, средства перешли на счёт системы.</b></center>';
		}else{
		echo '<center><b>Удалить не удалось, попробуйте позже.</b></center>';
		}
	}
///////// Выплата	
	if(isset($_POST["pay"]))
	{
	$idp = $_POST["pay"];
	$payme_p_db = mysql_query("SELECT * FROM tb_payme WHERE id = '".$_POST["pay"]."'");
	
		if(mysql_num_rows($payme_p_db) == 1)
		{
		$payme_p = mysql_fetch_array($payme_p_db);
		
////////// Выплачиваем 
require_once($_SERVER['DOCUMENT_ROOT']."/_ap.php");

		$tranid=time();
		
		$res=mysql_query("select purse from tb_site where id='1'");
		$res=mysql_fetch_array($res);
		$pursesrc=$res["purse"];

		$pursedest=$payme_p["pemail"];
		$amount=$payme_p["money"];
		$period=0;
		$pcode="";
		$username = $payme_p["username"];
		
		$res=mysql_query("select sitename, comment from tb_site where id='1'");
		$res=mysql_fetch_array($res);
		$sitename=$res["sitename"];
		$comment=$res["comment"];
		$comment=str_ireplace(":sitename:",$sitename,$comment);
		$desc=str_ireplace(":username:",$username,$comment);

		$wminvid=0;

		$response = $wmxi->X2(
		intval($tranid),    # номер перевода в системе учета отправителя; любое целое число без знака, должно быть уникальным
		$pursesrc,          # номер кошелька с которого выполняется перевод (отправитель)
		$pursedest,         # номер кошелька, но который выполняется перевод (получатель)
		floatval($amount),  # число с плавающей точкой без незначащих символов
		intval($period),    # целое от 0 до 255 символов; 0 - без протекции
		trim($pcode),       # произвольная строка от 0 до 255 символов; пробелы в начале или конце не допускаются
		trim($desc),        # произвольная строка от 0 до 255 символов; пробелы в начале или конце не допускаются
		intval($wminvid)    # целое число > 0; если 0 - перевод не по счету
		);

		$structure = $parser->Parse($response, DOC_ENCODING);
		$transformed = $parser->Reindex($structure, true);

		$status = @$transformed["w3s.response"]["retval"];
		
			if ($status == "0")
			{
			
		$query = "UPDATE tb_users SET paid=paid + $amount where username='$username'";
    		mysql_query($query) or die(mysql_error());

			$lafecha=date("d-m-Y",time());

    		$query = "INSERT INTO tb_history (user, date, amount, method, status) VALUES('$username','$lafecha','$amount','WebMoney','Выплата сделана')";
    		mysql_query($query) or die(mysql_error());

    		$queryz = "DELETE FROM tb_payme WHERE id='$idp'";
    		mysql_query($queryz) or die(mysql_error());
		$ball_cab = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '$username'");
        if(mysql_num_rows($ball_cab) > 0){
$timenow=time();
          require($_SERVER['DOCUMENT_ROOT']."/karera/setup_ball.php");
          $ref_u = mysql_fetch_assoc($ball_cab);

          $ball_u = intval($money/10);
          if($ball_u != 0){
          if($ref_u["referer"] != ""){

            $ball_r = $ball_u * $ball["ref_viplat"];
            mysql_query("UPDATE `tb_users` SET `ball` = `ball`+'$ball_r' WHERE `username` = '".$ref_u["referer"]."'");
mysql_query("INSERT INTO tb_infoball (user, date, ball, referer, mesage) VALUES('".$ref_u["referer"]."', '$timenow', '+ $ball_r', '---', 'Реферер вывел средства из системы')") or die(mysql_error());
          }

          $ball_us = $ball_u * $ball["viplat"];
          mysql_query("UPDATE `tb_users` SET `ball` = `ball`+'$ball_us' WHERE `username` = '$username'");
mysql_query("INSERT INTO tb_infoball (user, date, ball, referer, mesage) VALUES('$username', '$timenow', '+ $ball_us', '---', 'Вы вывели средства из системы')") or die(mysql_error());
        }        }
			echo '<center><b>Выплата прошла успешно.</b></center>';
			}else{
			?>
			<pre>
			Код ошибки: <b><?=htmlspecialchars(@$transformed["w3s.response"]["retval"], ENT_QUOTES); ?></b>
			Описание ошибки: <b><?=htmlspecialchars(@$transformed["w3s.response"]["retdesc"], ENT_QUOTES); ?></b>
			</pre>
			<?
			}
//////////////////////
		
		
		}else{
		echo '<center><b>Выплатить не удалось, попробуйте позже.</b></center>';
		}
	}
$query_pay_db = mysql_query("SELECT * FROM tb_payme ORDER BY id DESC");

	if(mysql_num_rows($query_pay_db) > 0)
	{
	$query_pay = mysql_fetch_array($query_pay_db);
	?>
<table width="99%" align="center" cellspacing="0" cellpadding="0">
  <tr bgcolor="#CCCCCC">
    <th align="center"><b>ID заказа:</th>
    <th align="center"><b>Логин:</b></th>
    <th align="center"><b>Сумма заказа:</b></th>
    <th align="center"><b>Платёжка:</b></th>
    <th align="center"><b>Дата заказа:</b></th>
    <th align="center"><b>Удалить:</b></th>
    <th align="center"><b>Выплатить:</b></th>
  </tr>



    <?PHP	
		do{
		?>
   <tr>
    <td align="center" width="100"><?=$query_pay["id"]; ?></td>
    <td align="center"><?=$query_pay["username"]; ?></td>
    <td align="center"><font color='red'><?=$query_pay["money"]; ?></font></td>
    <td align="center"><font color='green'><?=$query_pay["pemail"]; ?></font></td>
    <td align="center"><?=$query_pay["datetime"]; ?></td>
    <td align="center" width="100">
    <form action="" method="post"><input type="hidden" name="del" value="<?=$query_pay["id"]; ?>" /><input type="submit" value="Удалить" /></form></td>
    <td align="center" width="100">
    <form action="" method="post"><input type="hidden" name="pay" value="<?=$query_pay["id"]; ?>" /><input type="submit" value="Выплатить" /></form></td>
  </tr>
        <?PHP
		}while($query_pay = mysql_fetch_array($query_pay_db));
	?>
    </table>
    <?PHP
	}else{
	echo '<center><b>Запросов на выплату нет</b></center>';
	}
?>
<BR />
* выплаты происходят в автоматическом режиме по средствам Х2 интерфейсов.